OPENSSL-SRP(1)

NAME
openssl-srp - maintain SRP password file

SYNOPSIS
openssl srp [-help] [-verbose] [-add] [-modify] [-delete] [-list] [-name section] [-config file] [-srpvfile file] [-gn identifier] [-userinfo text] [-passin arg] [-passout arg] [-engine id] [-rand files] [-writerand file] [user ...]

DESCRIPTION
This command is used to maintain an SRP (secure remote password) file. At most one of the -add, -modify, -delete, and -list options can be specified. These options take zero or more usernames as parameters and perform the appropriate operation on the SRP file. For -list, if no user is given then all users are displayed.

The configuration file to use, and the section within the file, can be specified with the -config and -name flags, respectively.

OPTIONS

-help
    Display an option summary.

-verbose
    Generate verbose output while processing.

-srpvfile file
    If the config file is not specified, -srpvfile can be used to specify the file to operate on.

-gn Specifies the g and N values, using one of the strengths defined in IETF RFC 5054.

-userinfo
    specifies additional information to add when adding or modifying a user.

-passin arg, -passout arg
    The password source for the input and output file. For more information about the format of arg see "Pass Phrase Options" in openssl(1).

-engine id
    See "Engine Options" in openssl(1).

    [-rand files] [-writerand file]

COPYRIGHT
Copyright 2017-2019 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.